You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@hbase.apache.org by ps...@apache.org on 2019/01/02 07:57:39 UTC

hbase git commit: HBASE-21547 Precommit uses master flaky list for other branches

Repository: hbase
Updated Branches:
  refs/heads/master ec948f5d9 -> f0b50a8f9


HBASE-21547 Precommit uses master flaky list for other branches

Signed-off-by: Sean Busbey <bu...@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/hbase/repo
Commit: http://git-wip-us.apache.org/repos/asf/hbase/commit/f0b50a8f
Tree: http://git-wip-us.apache.org/repos/asf/hbase/tree/f0b50a8f
Diff: http://git-wip-us.apache.org/repos/asf/hbase/diff/f0b50a8f

Branch: refs/heads/master
Commit: f0b50a8f9b6db266c1e0f307fda6a4ad7b852135
Parents: ec948f5
Author: Peter Somogyi <ps...@apache.org>
Authored: Fri Dec 28 15:16:48 2018 +0100
Committer: Peter Somogyi <ps...@apache.org>
Committed: Wed Jan 2 08:26:57 2019 +0100

----------------------------------------------------------------------
 dev-support/hbase-personality.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hbase/blob/f0b50a8f/dev-support/hbase-personality.sh
----------------------------------------------------------------------
diff --git a/dev-support/hbase-personality.sh b/dev-support/hbase-personality.sh
index 3856a29..8dd24be 100755
--- a/dev-support/hbase-personality.sh
+++ b/dev-support/hbase-personality.sh
@@ -272,6 +272,20 @@ function get_include_exclude_tests_arg
         yetus_error "Wget error $? in fetching includes file from url" \
              "${INCLUDE_TESTS_URL}. Ignoring and proceeding."
       fi
+  else
+    # Use branch specific exclude list when EXCLUDE_TESTS_URL and INCLUDE_TESTS_URL are empty
+    FLAKY_URL="https://builds.apache.org/job/HBase-Find-Flaky-Tests/job/${PATCH_BRANCH}/lastSuccessfulBuild/artifact/excludes/"
+    if wget "${FLAKY_URL}" -O "excludes"; then
+      excludes=$(cat excludes)
+        yetus_debug "excludes=${excludes}"
+        if [[ -n "${excludes}" ]]; then
+          eval "${__resultvar}='-Dtest.exclude.pattern=${excludes}'"
+        fi
+        rm excludes
+      else
+        yetus_error "Wget error $? in fetching excludes file from url" \
+             "${FLAKY_URL}. Ignoring and proceeding."
+      fi
   fi
 }